Package com.io7m.idstore.protocol.admin

# Record Class IdACommandAdminBanCreate

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.IdACommandAdminBanCreate

Record Components:
  `ban` - The ban

All Implemented Interfaces:
  `IdACommandType<IdAResponseAdminBanCreate>`, `IdAMessageType`, `IdProtocolMessageType`

public record IdACommandAdminBanCreate(IdBan ban) extends Record implements IdACommandType<IdAResponseAdminBanCreate>
Ban an admin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdACommandAdminBanCreate(IdBan ban)`
  Ban an admin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdBan`
  `ban()`
  Returns the value of the `ban` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdACommandAdminBanCreate

    public IdACommandAdminBanCreate(IdBan ban)
    Ban an admin.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### ban

    public IdBan ban()
    Returns the value of the `ban` record component.
    Returns:
      the value of the `ban` record component